//本js使用的新的tag显示方法
<% if @obj_flag == '3'%>
$('#tags_show_issue').html('<%= escape_javascript(render :partial => 'tags/tag_name',
                                        :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
//$('#put-tag-form-issue').hide();
$('#name-issue').val("");
<% elsif  @obj_flag == '1'%>
$('#tags_show').html('<%= escape_javascript(render :partial => 'tags/tag_user_new_name',
                     :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
$('#tags_name3').val("");
<% elsif  @obj_flag == '2'%>
$('#tags_show').html('<%= escape_javascript(render :partial => 'tags/tag_project_new_name',
                     :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
$('#tags_name2').val("");
<% elsif @obj_flag == '6'%>
<%if @course%>
    <% if @obj %>
    $("#tags_show-<%=@obj.class%>-<%=@obj.id%>").empty();
    $("#tags_show-<%=@obj.class%>-<%=@obj.id%>").html('<%= escape_javascript(render :partial => 'tags/tag_list',
                         :locals => {:obj => @obj,:object_flag =>  @obj_flag,:select_tag_name => @select_tag_name}) %>');
    $("#tags_name_<%=@obj.id%>").val("");
    $("#add_tag_<%=@obj.id%>").hide();
    <% else %>
        $("#course_list").html("<%= escape_javascript(render :partial => 'files/course_list',
        :locals => {course: @course,all_attachments: @all_attachments,sort:@sort,order:@order,curse_attachments:@obj_attachments}) %>");
    <% end %>
$("#files_tag").html("<%= escape_javascript(render :partial => "files/tag_yun", :locals => {:tag_list => @tag_list,:course => @course,:tag_name => @select_tag_name}) %>");
<%else%>
$("#tags_show-<%=@obj.class%>-<%=@obj.id%>").empty();
$("#tags_show-<%=@obj.class%>-<%=@obj.id%>").html('<%= escape_javascript(render :partial => 'tags/course_attachment_tag_name',
                     :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
$("#tags_name_<%=@obj.id%>").val("");
$("#add_tag_<%=@obj.id%>").hide();
<%end%>


<% elsif  @obj_flag == '9'%>
$('#tags_show').html('<%= escape_javascript(render :partial => 'tags/new_tag_name',
                     :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
$('#tags_name').val("");
<% elsif @obj_flag == '10'%>
//$("#put-tag-form-<%#=@obj.class%>-<%#=@obj.id%>").hide();
<% elsif @obj_flag == '5'%>
  $('#forum_tag_list').html('<%= escape_javascript(render :partial=>'forums/forum_tag_list',:locals=>{:forum=>@forum})%>')
<% else%>
$('#tags_show').html('<%= escape_javascript(render :partial => 'tags/tag_name',
                        :locals => {:obj => @obj,:non_list_all => false,:object_flag =>  @obj_flag}) %>');
$('#tags_name').val("");
//$('#put-tag-form').hide();
<% end %>